{% extends "bases/modelo.html" %}

{% load bootstrap5 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load static %}




{% block conteudo %}
<div class="container">
    <h3 class="my-2">Estatisticas</h3>
    <strong class='my-1'>Não esqueça de conferir Nosso Mapa Abaixo</strong>

    
        <div class="row">
            {% for item in items %}
            <div class="col-lg-3 col-md-6 mb-4">
                <div class="card h-40">
                    <div class="card-header text-center" >
                        <h6 class="card-title">{{item.tittle}}</h6>
                    </div>
                    <div class="card-body text-center" >
                        <h6 class="card-title">{{item.dado}}</h6>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    
        <h3 class="my-2">Mapa</h3>


    <div class="card my-2">
        <div class="card-header">
        <h4>Filtros</h4>
        </div>
        <div class="card-body">
            
            <form method="get">
                <div class="form-group my-2">
                    <label for="{{ form.filtro.id_for_label}}">Filtro por:</label>
                        {{form.filtro}}
                </div>
                <button class="btn btn-info" type="submit">Filter Locations</button>
            </form>
        </div>

        
    </div>


    <div class="container-fluid my-2" id="map" style="width: 100%; height: 500px;">
        {{ map|safe }}

    </div>    

</div>
</div>
<style>
    #map {
        width: 80%;
        height: 600px;
        float: left;
    }
    #legend {
        width: 15%;
        float: right;
        padding: 10px;
        background-color: white;
        border: 2px solid #ccc;
        font-size: 14px;
    }
</style>


{%  endblock %}

{% block info %}
{%  endblock %}

{% block rodape %}
{%  endblock %} 